body {
  background-color: #eee;
  font-family: sans-serif;
}

button,
input {
  border: 0;
  font: inherit;
  min-width: 0;
  outline: 0;
  padding: 0;
}

input[type="datetime-local"],
input[type=number],
input[type=text] {
  border: 0;
  box-shadow: 0 0 1px gray;
  line-height: 1.5em;
  padding: 0 0.25em;
}

a {
  color: initial;
  text-decoration: none;
}

.button {
  align-items: center;
  align-self: stretch;
  background-color: white;
  cursor: pointer;
  display: inline-flex;
  justify-content: center;
}

.button-floating {
  box-shadow: 0 0 1px 0.5px gray;
}

.button-inline {
  box-shadow: 0 0 1px 0.5px gray;
  margin: 0.5em 0 0.5em 0.5em;
  padding: 0.25em 1em;
}

.button-inline:last-child {
  margin-right: 0.5em;
}

.button-tab {
  border-right: 1px solid #ddd;
}

.button-tab:last-child {
  border-right: 0;
}

.exerciseLog-date {
  color: grey;
  flex-grow: 1;
}

.exerciseLog-weight,
.exerciseLog-sets {
  width: 25%;
  font-size: 0.9em;
  text-align: right;
}

.exerciseLog-weight > span,
.exerciseLog-sets > span {
  background-color: #ddd;
  border-radius: 0.5em;
  padding: 0.5em;
  white-space: nowrap;
}

.exerciseLog-actions {
  text-align: right;
  width: 20%;
}

.exerciseLog-action {
  margin-left: 1em;
}

.modal-main {
  align-items: center;
  background-color: rgba(0, 0, 0, 0.5);
  box-shadow: 0 0 5px black inset;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 1;
}

.modal-main--enter,
.modal-main--exit {
  animation: fade 0.1s ease-in-out 1;
}

.modal-main--exit {
  animation-direction: reverse;
  opacity: 0;
}

.spinner-main {
  animation: rotate 2s linear infinite;
  height: 50px;
  width: 50px;
}

.spinner-path {
  animation: dash 2s ease-in-out infinite;
  stroke: gray;
}

.modal-content {
  background-color: #eee;
  box-shadow: 0 0 5px black;
  max-width: 100%;
  position: absolute;
  text-align: center;
  white-space: nowrap;
  z-index: 1;
}

.modal-content--enter,
.modal-content--exit {
  animation: modal-content 0.1s ease-in-out 1;
}

.modal-content--exit {
  animation-direction: reverse;
  transform: translateY(-100%);
}

.confirm-title,
.confirm-prompt {
  border-bottom: 1px solid #ddd;
  padding: 0.5em;
}

.confirm-actions {
  height: 2em;
  display: flex;
}

.confirm-actions .button,
.confirm-actions button,
.confirm-actions input[type=button],
.confirm-actions input[type=submit] {
  flex-grow: 1;
}

.app-container {
  display: flex;
  flex-direction: column;
  height: 100%;
  overflow: hidden;
}

.app-header {
  align-items: center;
  background-color: #ddd;
  box-shadow: 0 0 1px 0.5px gray;
  display: flex;
  flex-direction: row;
  flex-shrink: 0;
  justify-content: space-between;
  position: relative;
  z-index: 2;
}

.app-header h1 {
  font-size: 2em;
  padding: 0.25em;
}

.app-main {
  align-items: center;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  overflow: hidden;
  position: relative;
}

.auth-error {
  color: orangered;
  line-height: 2em;
  padding: 1em;
}

.auth-signIn {
  font-size: 1.2em;
  margin: auto;
  padding: 1.5em 4em;
}

.latestLogs-main {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  flex-shrink: 1;
  overflow: auto;
}

.latestLogs-loading {
  align-self: center;
}

.latestLogs-noExercises,
.latestLogs-error {
  align-self: center;
  line-height: 2em;
  padding: 1em;
}

.latestLogs-error {
  color: orangered;
}

.latestLogs-entries {
  flex-grow: 1;
  flex-shrink: 1;
}

.latestLogs-entry {
  border-bottom: 1px solid #ddd;
  display: flex;
  flex-direction: column;
  position: relative;
  transition: font-size 0.1s;
}

.latestLogs-entry--active {
  background-color: #eee;
  border-bottom: 0;
  box-shadow: 0 0 5px black;
  font-size: 1.1em;
  z-index: 1;
}

.latestLogs-log {
  align-items: center;
  background-color: #eee;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 1rem;
  position: relative;
}

.latestLogs-entry--active .latestLogs-log {
  border-bottom: 1px solid #ddd;
}

.latestLogs-entry--progress .latestLogs-log {
  border-bottom: 0;
}

.latestLogs-heading .exerciseLog-date,
.latestLogs-noLogs {
  font-size: 0.8em;
  margin-top: 0.5em;
}

.latestLogs-heading {
  width: 30%;
}

.latestLogs-noLogs {
  color: grey;
}

.latestLogs-actions {
  width: 20%;
  text-align: right;
}

.latestLogs-options {
  align-items: center;
  display: flex;
  height: 3em;
}

.latestLogs-options--enter,
.latestLogs-options--exit {
  animation: latestLogs-newExerciseLog 0.1s ease-in-out 1;
}

.latestLogs-options--exit {
  animation-direction: reverse;
  margin-top: -2.5em;
}

.latestLogs-options a,
.latestLogs-options button {
  flex-basis: 0;
  flex-grow: 1;
  font-size: 1.5em;
}

.latestLogs-newExerciseLogOption span {
  font-size: 1.4em;
}

.latestLogs-newExerciseLog {
  align-items: center;
  background-color: #eee;
  display: flex;
  height: 3.5em;
}

.latestLogs-newExerciseLog--enter,
.latestLogs-newExerciseLog--exit {
  animation: latestLogs-newExerciseLog 0.1s ease-in-out 1;
}

.latestLogs-newExerciseLog--exit {
  animation-direction: reverse;
  margin-top: -2.5em;
}

.latestLogs-newExerciseName {
  flex-grow: 1;
}

.latestLogs-newExerciseLogWeight,
.latestLogs-newExerciseLogSet,
.latestLogs-newExerciseLogSets,
.latestLogs-newExerciseLogRest {
  flex-basis: 0;
  margin-left: 1em;
}

.latestLogs-newExerciseLogWeight,
.latestLogs-newExerciseLogSet,
.latestLogs-newExerciseLogRest {
  flex-grow: 3;
}

.latestLogs-newExerciseLogSets {
  flex-grow: 1;
  text-align: center;
}

.latestLogs-newExerciseLogRest {
  margin-right: 1em;
}

.latestLogs-progressStep {
  font-size: 0.9em;
}

.latestLogs-progressCurrent {
  font-weight: bold;
}

.latestLogs-progressIndicator {
  box-shadow: 0 0 2px grey inset;
  height: 0.5em;
}

.latestLogs-progressIndicator div {
  animation: progress paused;
  background-color: #5b7;
  height: 100%;
  transition: width 0.5s;
  width: 0;
}

.latestLogs-progress {
  display: flex;
  height: 3em;
}

.latestLogs-progress--enter,
.latestLogs-progress--exit {
  animation: latestLogs-newExerciseLog 0.1s ease-in-out 1;
}

.latestLogs-progress--exit {
  animation-direction: reverse;
  margin-top: -2.5em;
}

.latestLogs-progress button {
  flex-basis: 0;
  flex-grow: 1;
  font-size: 1.5em;
}

.latestLogs-failedSet {
  display: flex;
  flex-grow: 1;
}

.latestLogs-failedSet input[type=number] {
  align-self: center;
  flex-grow: 1;
  margin: 0 1em;
}

.latestLogs-resting {
  align-self: center;
  flex-grow: 1;
  text-align: center;
}

.latestLogs-addExercise {
  padding: 1em 0;
}

.viewExercise-exercise {
  align-items: center;
  align-self: stretch;
  box-shadow: 0 0 1px 0.5px gray;
  display: flex;
  flex-direction: row;
  flex-shrink: 0;
  height: 3em;
  justify-content: space-around;
  z-index: 1;
}

.viewExercise-name {
  flex-grow: 1;
  font-size: 1.1em;
  margin: 0 1em;
}

.viewExercise-add span {
  font-size: 1.5em;
}

.viewExercise-exerciseLogs {
  align-self: stretch;
  background-color: #ddd;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  overflow: auto;
}

.viewExercise-noLogs {
  padding: 1em;
  text-align: center;
}

.viewExercise-exerciseLog {
  align-items: center;
  background-color: #eee;
  border-bottom: 1px solid #ddd;
  display: flex;
  flex-direction: row;
  flex-shrink: 0;
  font-size: 0.8em;
  height: 3.5em;
  justify-content: space-between;
  padding-left: 1em;
}

.viewExercise-editExerciseName {
  width: 100%;
}

.viewExercise-newExerciseLogPrompt {
  display: flex;
  justify-content: space-between;
}

.viewExercise-newExerciseLogDate {
  width: 34%;
}

.viewExercise-newExerciseLogWeight,
.viewExercise-newExerciseLogSet {
  width: 25%;
}

.viewExercise-newExerciseLogSets {
  line-height: 1.5em;
  margin: 1px 0;
  width: 10%;
}

.viewExercise-deleteExercisePrompt {
  font-size: 0.8em;
  padding: 1em;
}

.viewExercise-deleteExerciseLogPrompt .viewExercise-exerciseLog {
  border-bottom: 0;
}

.viewExercise-deleteExerciseLogPrompt .exerciseLog-weight,
.viewExercise-deleteExerciseLogPrompt .exerciseLog-sets {
  margin-left: 1em;
  width: auto;
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes dash {
  0% {
    stroke-dasharray: 1,100;
    stroke-dashoffset: 0;
  }
  40% {
    stroke-dasharray: 55,100;
    stroke-dashoffset: -15;
  }
  100% {
    stroke-dasharray: 55,100;
    stroke-dashoffset: -70;
  }
}

@keyframes fade {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes modal-content {
  0% {
    transform: translateY(-100%);
  }
  100% {
    transform: translateY(0);
  }
}

@keyframes latestLogs-newExerciseLog {
  0% {
    margin-top: -2.5em;
  }
  100% {
    margin-top: 0;
  }
}

@keyframes progress {
  0% {
    background-color: #b55;
  }
  50% {
    background-color: #ab5;
  }
  100% {
    background-color: #5b7;
  }
}
